from flask import Flask
import sqlite3

app = Flask(__name__, static_folder='static')

@app.route("/api/data/<int:start>/<int:end>")
def getData(start: int, end: int) -> dict:
	dbCon = sqlite3.connect("/data/specialIO.db")
	cur = dbCon.cursor()

	retVal = {}
	for sensor in cur.execute("SELECT sensorId, resolution, accuracy FROM sensor;").fetchall():
		retVal[sensor[0]] = {"resolution": sensor[1], "accuracy": sensor[2], "data":[]}
		results = cur.execute("SELECT timestamp, value FROM dataPoint WHERE dataPoint.sensorFK = ? AND timestamp >= ? AND timestamp <= ?;", (sensor[0], start, end)).fetchall()
		retVal[sensor[0]]["data"] = list(map(lambda x: {"time": x[0], "value": x[1]}, results))

	return retVal

@app.route("/")
def index():
	return app.send_static_file("index.html")

def runWebsite() -> None:
	app.run(host='0.0.0.0')
